#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, k;
    cin >> n >> k;
    int a[n];
    for(int i = 0; i < n; i++) cin >> a[i];
    long long rez = -1e18;
    int p[n];
    for(int i = 0; i < n-k; i++) p[i] = 0;
    for(int i = n-k; i < n; i++) p[i] = 1;
    do {
        vector<int> b;
        for(int i = 0; i < n; i++) if(p[i] == 1) b.push_back(a[i]);
        long long cnt = b[0];
        int m = b.size();
        for(int i = 1; i < m; i++) cnt -= b[i];
        for(int i = 1; i < m-1; i++) {
            rez = max(rez, abs(cnt));
            cnt += 2*b[i];
        }
        rez = max(rez, abs(cnt));
    } while(next_permutation(p, p+n));
    cout << rez;
    return 0;
}